
// USER actions
export const USER_LOGGEDON = 'USER_LOGGEDON';
export const USER_LOGOUT = 'USER_LOGOUT';
export const USER_LOGIN_ERROR = 'USER_LOGIN_ERROR';
export const USER_DATA = 'USER_DATA';
export const USER_USE_LOCAL_CONTACTS = 'USER_USE_LOCAL_CONTACTS';
export const USER_RESET = 'USER_RESET';

// CALL actions
export const CALL_HISTORY = 'CALL_HISTORY';
export const CALL_DIAL = 'CALL_DIAL';
export const CALL_STATUS = 'CALL_STATUS';
export const CALL_UPDATE = 'CALL_UPDATE';
export const CALL_VOICEMAIL = 'CALL_VOICEMAIL';
export const CALL_END_DIAL = 'CALL_END_DIAL';
export const CALL_RESET = 'CALL_RESET';
export const CALL_CALLING = 'CALL_CALLING';

// CALL directory
export const DIRECTORY_DATA = 'DIRECTORY_DATA';
export const DIRECTORY_XIVO_DATA = 'DIRECTORY_XIVO_DATA';
export const DIRECTORY_LOCAL_DATA = 'DIRECTORY_LOCAL_DATA';
export const DIRECTORY_RESET = 'DIRECTORY_RESET';
export const DIRECTORY_RESET_LOAD = 'DIRECTORY_RESET_LOAD';
export const DIRECTORY_DATA_UPDATED = 'DIRECTORY_DATA_UPDATED';
export const DIRECTORY_STATUS_UPDATE = 'DIRECTORY_STATUS_UPDATE';

// CALL favorites
export const FAVORITES_DATA = 'FAVORITES_DATA';
export const FAVORITES_REMOVE = 'FAVORITES_REMOVE';
export const FAVORITES_ADD = 'FAVORITES_ADD';
export const FAVORITES_STATUS_UPDATE = 'FAVORITES_STATUS_UPDATE';
export const FAVORITES_DATA_UPDATED = 'FAVORITES_DATA_UPDATED';
export const FAVORITES_RESET = 'FAVORITES_RESET';

// CALL app behaviors
export const APP_KEYBOARD_OPEN = 'APP_KEYBOARD_OPEN';
export const APP_KEYBOARD_CLOSE = 'APP_KEYBOARD_CLOSE';
export const APP_BACKBUTTON = 'APP_BACKBUTTON';
export const APP_CALL_ANDROID = 'APP_CALL_ANDROID';
export const APP_RESUME = 'APP_RESUME';
